﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <table border="0" cellpadding="0" cellspacing="5">
        <tr>
            <td>
                Country
            </td>
            <td>
                <asp:TextBox ID="txtCountry" runat="server" />
                <asp:HiddenField ID="hfCountry" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                State
            </td>
            <td>
                <asp:TextBox ID="txtState" runat="server" Enabled="false" />
                <asp:HiddenField ID="hfState" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                City
            </td>
            <td>
                <asp:TextBox ID="txtCity" runat="server" Enabled="false" />
                <asp:HiddenField ID="hfCity" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:Button ID="btnSubmit" Text="Submit" runat="server" OnClick="Submit" />
            </td>
        </tr>
    </table>
    <script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.10.0.min.js" type="text/javascript"></script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/jquery-ui.min.js" type="text/javascript"></script>
    <link href="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/blitzer/jquery-ui.css"
        rel="Stylesheet" type="text/css" />
    <script type="text/javascript">
        $(function () {
            $("[id$=txtCountry]").autocomplete({
                source: function (request, response) {
                    AjaxCall("CS.aspx/GetCountries", request.term, 0, response)
                },
                select: function (e, i) {
                    $("[id$=hfCountry]").val(i.item.val);
                    $("[id$=txtState]").removeAttr("disabled");
                    $("[id$=txtState]").focus();
                },
                minLength: 1
            });

            $("[id$=txtState]").autocomplete({
                source: function (request, response) {
                    AjaxCall("CS.aspx/GetStates", request.term, $("[id$=hfCountry]").val(), response)
                },
                select: function (e, i) {
                    $("[id$=hfState]").val(i.item.val);
                    $("[id$=txtCity]").removeAttr("disabled");
                    $("[id$=txtCity]").focus();
                },
                minLength: 1
            });

            $("[id$=txtCity]").autocomplete({
                source: function (request, response) {
                    AjaxCall("CS.aspx/GetCities", request.term, $("[id$=hfState]").val(), response)
                },
                select: function (e, i) {
                    $("[id$=hfCity]").val(i.item.val);
                },
                minLength: 1
            });
        });

        function AjaxCall(url, prefix, parentId, response) {
            $.ajax({
                url: url,
                data: "{ 'prefix': '" + prefix + "', parentId: " + parentId + "}",
                dataType: "json",
                type: "POST",
                contentType: "application/json; charset=utf-8",
                success: function (r) {
                    response($.map(r.d, function (item) {
                        return {
                            label: item.split('-')[0],
                            val: item.split('-')[1]
                        }
                    }))
                },
                error: function (r) {
                    alert(r.responseText);
                },
                failure: function (r) {
                    alert(r.responseText);
                }
            });
        } 
    </script>
    </form>
</body>
</html>
